Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
POSTVPC Firewall OperationsSince 3.6.0SynchronousAuth Required

AttachFirewallRuleSetToL3

AttachFirewallRuleSetToL3

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • l3UuidStringRequired

    No description provided.

  • ruleSetUuidStringRequired

    规则设置UUID。

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vpcFirewallUuidStringRequired

      No description provided.

    • forwardStringRequired

      No description provided.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcFirewallRuleSetL3RefInventoryRequired

    See inventory.

    • idlongRequired

      资源ID。

    • ruleSetUuidStringRequired

      规则设置UUID。

    • l3NetworkUuidStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • packetsForwardTypePacketsForwardTypeRequired

      See packetsForwardType.

      • inPacketsForwardTypeRequired

        No description provided.

      • outPacketsForwardTypeRequired

        No description provided.

      • localPacketsForwardTypeRequired

        本地。

Endpoint

POST/zstack/v1/vpcfirewalls/ruleSets/{ruleSetUuid}/l3networks/{l3Uuid}

/zstack/v1/vpcfirewalls/ruleSets/{ruleSetUuid}/l3networks/{l3Uuid}

Operation ID

AttachFirewallRuleSetToL3

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpcfirewalls/ruleSets/{ruleSetUuid}/l3networks/{l3Uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vpcFirewallUuid":"<vpcFirewallUuid>","forward":"<forward>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "id": 1.0, "ruleSetUuid": "91e9fed42a113c0395a81920c4179a43", "l3NetworkUuid": "ad2bbeb82973334fa0ab243f52088fea", "packetsForwardType": "in", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history